{
  "name": "frontend",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@fortawesome/fontawesome-free": "^6.5.2",
    "@testing-library/jest-dom": "^5.17.0",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^13.5.0",
    "axios": "^1.6.8",
    "babel-jest": "^29.7.0",
    "boostrap": "^2.0.0",
    "bootstrap": "^5.3.3",
    "fortawesome": "^0.0.1-security",
    "fs": "^0.0.1-security",
    "jest": "^27.5.1",
    "jwt-decode": "^4.0.0",
    "prettier": "^3.2.5",
    "react": "^18.2.0",
    "react-chat-engine": "^1.11.28",
    "react-chat-engine-pretty": "^0.1.8",
    "react-dom": "^18.2.0",
    "react-router-dom": "^6.22.3",
    "react-scripts": "5.0.1",
    "sourcemap-codec": "^1.4.8",
    "web-vitals": "^2.1.4"
  },
  "scripts": {
    "lint": "eslint src",
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test --transformIgnorePatterns 'node_modules/(?!axios)/'",
    "test:unit": "react-scripts test --transformIgnorePatterns 'node_modules/(?!axios)/' --testPathPattern=src/tests/unit",
    "test:integration": "react-scripts test --transformIgnorePatterns 'node_modules/(?!axios)/'  --testPathPattern=src/tests/integration",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@eslint/eslintrc": "^3.0.2",
    "@eslint/js": "^9.4.0",
    "@react-native-community/eslint-config": "^3.2.0",
    "eslint": "^8.57.0",
    "eslint-config-react-app": "^7.0.1",
    "eslint-config-standard": "^17.1.0",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-n": "^16.6.2",
    "eslint-plugin-promise": "^6.1.1",
    "eslint-plugin-react": "^7.34.2",
    "globals": "^15.3.0"
  }
}
